Vegastrike SVN, Mac OSX 10.8 compiling, Help NEWB

Trying to build your own version of Vega Strike and having problems? Unix users, paste your config.log here (stderr output alone is not helpful).

Vegastrike SVN, Mac OSX 10.8 compiling, Help NEWB

Postby kraigw » Sat Oct 13, 2012 12:28 pm

Hi,

Sorry to be helpless, but here is...

I have followed the steps on the wiki HowTo:Compile on OSX. I have Xtools and their commandline tools installed, using MacPorts I installed the remaining prerequisites listed on the wiki. Following comments in this forum, I edited vegastrike/intel-mac-conf.sh (to point to the port installed libraries and includes) and configure.ac (to point to the Xcode SDK for 10.8).

I run ./bootstrap.sh and get

./bootstrap-sh: line 99: aclocal: command not found
./bootstrap-sh: line 34: test: -lt: unary operator expected
...
Running aclocal
./bootstrap-sh: line 138: aclocal: command not found
aclocal execution failed.

It looks like I'm missing aclocal somewhere, but where? (btw I have updated my path to include the ports too)

I would appreciate newb level help as I like tinkering, but that is not my day job.

Thanks in advance.
kraigw
Just a tourist with a frag'd nav console
Just a tourist with a frag'd nav console
 
Posts: 3
Topics: 1
Joined: Wed Oct 10, 2012 8:06 pm

Share On:

Share on Facebook Facebook Share on Twitter Twitter Share on Digg Digg

Re: Vegastrike SVN, Mac OSX 10.8 compiling, Help NEWB

Postby klauss » Sat Oct 13, 2012 1:15 pm

aclocal is part of autotools (autoconf, automake), they should be installable with macports
Oíd mortales, el grito sagrado...
Call me "Menes, lord of Cats"
Wing Commander Universe
User avatar
klauss
Elite
Elite
 
Posts: 7243
Topics: 55
Joined: Mon Apr 18, 2005 7:40 am
Location: LS87, Buenos Aires, República Argentina

Re: Vegastrike SVN, Mac OSX 10.8 compiling, Help NEWB

Postby kraigw » Sat Oct 13, 2012 7:55 pm

Thank you klauss.

That went much better - until glut. Now it seems configure is exiting on an error with glut.

...
checking for glut library... -lutil -F/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.8.sdk/System/Library/Frameworks -framework OpenGL -framework GLUT -framework CoreAudio -lobjc -L -framework GLUT
no
configure: WARNING: Glut might fail because of missing libXmu-dev and/or headers!
configure: WARNING: Glut might fail because of missing libXi-dev and/or headers!
configure: error: GLUT library not found or too old version. 3.7 (beta) or later required.

GLUT is in the SDKs for OSX 10.8 and appears to be 3.7 or later based on a quick read of the glut.h. I will make a guess that I might have to install a different version of that too?
kraigw
Just a tourist with a frag'd nav console
Just a tourist with a frag'd nav console
 
Posts: 3
Topics: 1
Joined: Wed Oct 10, 2012 8:06 pm

Re: Vegastrike SVN, Mac OSX 10.8 compiling, Help NEWB

Postby klauss » Sun Oct 14, 2012 12:25 am

What about those libXmu that were mentioned there?
Oíd mortales, el grito sagrado...
Call me "Menes, lord of Cats"
Wing Commander Universe
User avatar
klauss
Elite
Elite
 
Posts: 7243
Topics: 55
Joined: Mon Apr 18, 2005 7:40 am
Location: LS87, Buenos Aires, República Argentina

Re: Vegastrike SVN, Mac OSX 10.8 compiling, Help NEWB

Postby kraigw » Sun Oct 14, 2012 1:59 pm

Thanks again for your patience.

The OSX version does not have either (correction the framework does not include them, but /usr/X11/lib does but without headers). I guess I will have to build glut from source and see if that fixes it.

On a side note, I get a similar error with SDL (installed using macports then later installed using homebrew) without exiting the script. I don't think SDL is an absolute requirement. However, each time I corrected the lib and include paths to match the install, and tested the SDL --version to see that it is 1.2.15. The script complains like this:

checking for sdl-config... /usr/local/bin/sdl-config
checking for SDL - version >= 1.0.1... no
*** Could not run SDL test program, checking why...
*** The test program failed to compile or link. See the file config.log for the
*** exact error that occured. This usually means SDL was incorrectly installed
*** or that you have moved SDL since it was installed. In the latter case, you
*** may want to edit the sdl-config script: /usr/local/bin/sdl-config
*** SDL not found. Configuring without joystick support.

How annoying! Am I missing something simple?
kraigw
Just a tourist with a frag'd nav console
Just a tourist with a frag'd nav console
 
Posts: 3
Topics: 1
Joined: Wed Oct 10, 2012 8:06 pm

Re: Vegastrike SVN, Mac OSX 10.8 compiling, Help NEWB

Postby klauss » Sun Oct 14, 2012 4:12 pm

No library will work without the headers.

If you can't install headers from an official source... what about downloading them for the specific version you have installed and manually installing them? (that should fix the build if you really have the libraries installed)
Oíd mortales, el grito sagrado...
Call me "Menes, lord of Cats"
Wing Commander Universe
User avatar
klauss
Elite
Elite
 
Posts: 7243
Topics: 55
Joined: Mon Apr 18, 2005 7:40 am
Location: LS87, Buenos Aires, República Argentina

Re: Vegastrike SVN, Mac OSX 10.8 compiling, Help NEWB

Postby bgaskey » Sun Dec 30, 2012 11:43 am

Don't know if this is relevant, but in the past (distant past) I got it to compile against the OSX openGL framework at /System/Library/Frameworks/OpenGL.framework/ by pointing it to there specifically (see this thread: http://forums.vega-strike.org/viewtopic.php?f=5&t=9799)

That was a couple operating system version ago, so your mileage may vary.
bgaskey
Elite Venturer
Elite Venturer
 
Posts: 718
Topics: 23
Joined: Wed Mar 07, 2007 2:05 pm
Location: Rimward of Eden



Return to Compiling Problems [paste config.log]

Who is online

Users browsing this forum: No registered users and 3 guests

cron